# Uses of Class
org.eclipse.jface.viewers.AbstractTreeViewer

Packages that use AbstractTreeViewer
Package
Description
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.

## Uses of AbstractTreeViewer in org.eclipse.compare.structuremergeviewer

Subclasses of AbstractTreeViewer in org.eclipse.compare.structuremergeviewer
Modifier and Type
Class
Description
`class`
`DiffTreeViewer`
A tree viewer that works on objects implementing the `IDiffContainer` and `IDiffElement` interfaces.
`class`
`StructureDiffViewer`
A diff tree viewer that can be configured with a `IStructureCreator` to retrieve a hierarchical structure from the input object (an `ICompareInput`) and perform a two-way or three-way compare on it.

## Uses of AbstractTreeViewer in org.eclipse.jface.databinding.viewers

Methods in org.eclipse.jface.databinding.viewers with parameters of type AbstractTreeViewer
Modifier and Type
Method
Description
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, IListProperty<? super E,? extends E> childrenProperty, IValueProperty<? super E,?> labelProperty)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, IListProperty<? super E,? extends E> childrenProperty, IValueProperty<? super E,?>... labelProperties)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, ISetProperty<? super E,? extends E> childrenProperty, IValueProperty<? super E,?> labelProperty)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, ISetProperty<? super E,? extends E> childrenProperty, IValueProperty<? super E,?>... labelProperties)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.

## Uses of AbstractTreeViewer in org.eclipse.jface.viewers

Subclasses of AbstractTreeViewer in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`CheckboxTreeViewer`
A concrete tree-structured viewer based on an SWT `Tree` control with checkboxes on each node.
`class`
`TreeViewer`
A concrete viewer based on an SWT `Tree` control.
Methods in org.eclipse.jface.viewers that return AbstractTreeViewer
Modifier and Type
Method
Description
`AbstractTreeViewer`
TreeExpansionEvent.`getTreeViewer()`
Returns the originator of the event.
Constructors in org.eclipse.jface.viewers with parameters of type AbstractTreeViewer
Modifier
Constructor
Description
``
`TreeExpansionEvent(AbstractTreeViewer source, Object element)`
Creates a new event for the given source and element.

## Uses of AbstractTreeViewer in org.eclipse.ui.dialogs

Subclasses of AbstractTreeViewer in org.eclipse.ui.dialogs
Modifier and Type
Class
Description
`class`
`ContainerCheckedTreeViewer`
CheckboxTreeViewer with special behaviour of the checked / gray state on container (non-leaf) nodes: The grayed state is used to visualize the checked state of its children.

## Uses of AbstractTreeViewer in org.eclipse.ui.handlers

Constructors in org.eclipse.ui.handlers with parameters of type AbstractTreeViewer
Modifier
Constructor
Description
``
`CollapseAllHandler(AbstractTreeViewer viewer)`
Create the handler for this tree viewer.
``
`ExpandAllHandler(AbstractTreeViewer viewer)`
Create the handler for this tree viewer.

## Uses of AbstractTreeViewer in org.eclipse.ui.navigator

Subclasses of AbstractTreeViewer in org.eclipse.ui.navigator
Modifier and Type
Class
Description
`class`
`CommonViewer`
Provides the Tree Viewer for the Common Navigator.

## Uses of AbstractTreeViewer in org.eclipse.ui.progress

Constructors in org.eclipse.ui.progress with parameters of type AbstractTreeViewer
Modifier
Constructor
Description
``
`DeferredTreeContentManager(AbstractTreeViewer viewer)`
Create a new instance of the receiver using the supplied content provider and viewer.
``
`DeferredTreeContentManager(AbstractTreeViewer viewer, IWorkbenchPartSite site)`
Create a new instance of the receiver using the supplied content provider and viewer.
``
`DeferredTreeContentManager(ITreeContentProvider provider, AbstractTreeViewer viewer)`
Deprecated.
in 3.4. provider is not used by this class
``
`DeferredTreeContentManager(ITreeContentProvider provider, AbstractTreeViewer viewer, IWorkbenchPartSite site)`
Deprecated.
in 3.4. provider is not used by this class

## Uses of AbstractTreeViewer in org.eclipse.ui.views.framelist

Methods in org.eclipse.ui.views.framelist that return AbstractTreeViewer
Modifier and Type
Method
Description
`AbstractTreeViewer`
TreeFrame.`getViewer()`
Returns the tree viewer.
`AbstractTreeViewer`
TreeViewerFrameSource.`getViewer()`
Returns the tree viewer.
Constructors in org.eclipse.ui.views.framelist with parameters of type AbstractTreeViewer
Modifier
Constructor
Description
``
`TreeFrame(AbstractTreeViewer viewer)`
Constructs a frame for the specified tree viewer.
``
`TreeFrame(AbstractTreeViewer viewer, Object input)`
Constructs a frame for the specified tree viewer.
``
`TreeViewerFrameSource(AbstractTreeViewer viewer)`
Constructs a new tree viewer frame source for the specified tree viewer.